### Constructor

# Foundry DocumentationRoot new

#### Declaration [src]

    FoundryDocumentationRoot*
    foundry_documentation_root_new (
      const char* identifier,
      const char* title,
      const char* version,
      GIcon* icon,
      GListModel* directories
    )

#### Description

No description available.

#### Parameters

`identifier`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`version`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icon`

  Type: `GIcon`

  No description available.

  The data is owned by the caller of the function.

`directories`

  Type: `GObject`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `FoundryDocumentationRoot`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.